/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telecom;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface CallControlCallback {

public void onSetActive(@android.annotation.NonNull java.util.function.Consumer<java.lang.Boolean> wasCompleted);

public void onSetInactive(@android.annotation.NonNull java.util.function.Consumer<java.lang.Boolean> wasCompleted);

public void onAnswer(int videoState, @android.annotation.NonNull java.util.function.Consumer<java.lang.Boolean> wasCompleted);

public void onDisconnect(@android.annotation.NonNull android.telecom.DisconnectCause disconnectCause, @android.annotation.NonNull java.util.function.Consumer<java.lang.Boolean> wasCompleted);

public void onCallStreamingStarted(@android.annotation.NonNull java.util.function.Consumer<java.lang.Boolean> wasCompleted);
}

